# class UDPTLSession | UDPTL session. More...
Contains pure virtuals
Full name | `TelEngine::UDPTLSession`
Definition | `#include <libs/yrtp/yatertp.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::UDPSession [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ~UDPTLSession ()
- inline bool localAddr (SocketAddr& addr)
- inline u_int16_t maxLen () const
- inline u_int8_t maxSec () const
- virtual void rtpData (const void* data, int len)
- bool udptlSend (const void* data, int len, u_int16_t seq)

#### Protected Methods

- UDPTLSession (u_int16_t maxLen = 250, u_int8_t maxSec = 2)
- virtual void timerTick (const Time& when)
- virtual RTPTransport* createTransport ()
- virtual void udptlRecv (const void* data, int len, u_int16_t seq, bool recovered)

## Detailed Description

A bidirectional UDPTL session usable for T.38

~UDPTLSession () | ### ~UDPTLSession

Destructor

inline bool localAddr (SocketAddr& addr) | ### localAddr

Set the local network address of the RTP transport of this session

Parameters:

addr | New local RTP transport address

Returns: True if address set, false if a failure occured

inline u_int16_t maxLen () | ### maxLen

[const]

Get the maximum UDPTL packet length

Returns: Maximum length of UDPTL packet length in bytes

inline u_int8_t maxSec () | ### maxSec

[const]

Get the maximum number of UDPTL secondary IFPs

Returns: Maximum number of secondary IFPs, zero if disabled

void rtpData (const void* data, int len) | ### rtpData

[virtual]

This method is called to send or process an UDPTL packet

Parameters:

data | Pointer to raw UDPTL data
len | Length of the data packet

Reimplemented from RTPProcessor.

bool udptlSend (const void* data, int len, u_int16_t seq) | ### udptlSend

Send UDPTL data over the transport, add older blocks for error recovery

Parameters:

data | Pointer to IFP block to send as primary
len | Length of primary IFP block
seq | Sequence number to incorporate in message

Returns: True if data block was sent, false if an error occured

UDPTLSession (u_int16_t maxLen = 250, u_int8_t maxSec = 2) | ### UDPTLSession

[protected]

UDPTL Session constructor

Parameters:

maxLen | Maximum length of UDPTL packet, at least longest primary IFP + 5 bytes
maxSec | Maximum number of secondary IFPs, set to zero to disable

void timerTick (const Time& when) | ### timerTick

[protected virtual]

Method called periodically to push any asynchronous data or statistics

Parameters:

when | Time to use as base in all computing

Reimplemented from RTPProcessor.

RTPTransport* createTransport () | ### createTransport

[protected virtual]

Create a new UDPTL transport for this session. Override this method to create objects derived from RTPTransport.

Returns: Pointer to the new transport or NULL on failure

Reimplemented from UDPSession.

void udptlRecv (const void* data, int len, u_int16_t seq, bool recovered) | ### udptlRecv

[protected pure virtual]

Method called when UDPTL data is received

Parameters:

data | Pointer to IFP block
len | Length of the IFP block
seq | Sequence number of the block
recovered | True if the IFP block was recovered after data loss

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.